# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors Class Reference

`#include <SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors ()
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors (const SelectMgr_DataMapOfObjectSelectors &aMap)
Standard_EXPORT void | Initialize (const SelectMgr_DataMapOfObjectSelectors &aMap)
Standard_EXPORT const Handle_SelectMgr_SelectableObject & | Key () const
Standard_EXPORT const SelectMgr_SequenceOfSelector & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors | ( |  | ) |

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors | ( | const SelectMgr_DataMapOfObjectSelectors & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::Initialize | ( | const SelectMgr_DataMapOfObjectSelectors & | aMap | ) |

Standard_EXPORT const Handle_SelectMgr_SelectableObject& SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::Key | ( |  | ) | const

void SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const SelectMgr_SequenceOfSelector& SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- SelectMgr_DataMapIteratorOfDataMapOfObjectSelectors.hxx